function [x,lambda,k,res]=INVERSEITERATION(A,x,tol)
% [x,lambda,k,res]=INVERSEITERATION(A,x,tol)
% 
% Inverse Iteration zur Berechnung des betraglich kleinsten
% Eigenwertes einer Matrix A
%
% -------------------------------------------
% Input
% -----
% A        Matrix
% x        Startvektor x^(0)
% tol      Abbruchschranke für das Residuum
%          ||Ax-lambda x||<= |lambda| tol
%
% Output
% ------
% x       neuer berechneter Eigenvektor
% lambda  zugehöriger betraglich kleinster Eigenwert 
%         (Rayleigh-Quotient)
% k       Anzahl Iterationsschritte
% res     Vektor der Länge k, welche für jeden Iterationsschritt k
%         die Norm des relativen Residuums 
%         ||Ax^(k)-lambda^(k) x^(k)|| /|lambda^(k)|
%         speichert

